aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <della5@iinet.com.au>2014-08-29 15:11:32 +0800
committerIan Delaney <della5@iinet.com.au>2014-08-29 15:11:32 +0800
commit69d5fc40f4278b1df447845e9392e23151095ba1 (patch)
treee33d6f48e73800f3d3fa191081347529d6b83b2f /dev-python/flask-cors/flask-cors-1.3.1.ebuild
parentmass purge of old ebuilds mostly in portage (diff)
downloadimprovise-69d5fc40f4278b1df447845e9392e23151095ba1.tar.gz
improvise-69d5fc40f4278b1df447845e9392e23151095ba1.tar.bz2
improvise-69d5fc40f4278b1df447845e9392e23151095ba1.zip
note for websocket-client in a diff file, add working service_identity, characteristic and some others
Diffstat (limited to 'dev-python/flask-cors/flask-cors-1.3.1.ebuild')
-rw-r--r--dev-python/flask-cors/flask-cors-1.3.1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/flask-cors/flask-cors-1.3.1.ebuild b/dev-python/flask-cors/flask-cors-1.3.1.ebuild
new file mode 100644
index 0000000..41c874b
--- /dev/null
+++ b/dev-python/flask-cors/flask-cors-1.3.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="Flask-Cors"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A Flask extension adding a decorator for CORS support"
+HOMEPAGE="https://github.com/wcdolphin/flask-cors https://pypi.python.org/pypi/Flask-Cors"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+ esetup.py test
+# nosetests || die "Testing failed with ${EPYTHON}"
+}
+